summaryrefslogtreecommitdiff
path: root/debian/tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control7
-rwxr-xr-xdebian/tests/upstream-bottleneck.sh19
-rwxr-xr-xdebian/tests/upstream-wasserstein.sh17
3 files changed, 43 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..159f48c
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,7 @@
+Tests: upstream-bottleneck.sh
+Depends: build-essential, catch2, libhera-dev
+Restrictions: allow-stderr
+
+Tests: upstream-wasserstein.sh
+Depends: build-essential, catch2, libhera-dev
+Restrictions: allow-stderr \ No newline at end of file
diff --git a/debian/tests/upstream-bottleneck.sh b/debian/tests/upstream-bottleneck.sh
new file mode 100755
index 0000000..a11a13b
--- /dev/null
+++ b/debian/tests/upstream-bottleneck.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -e
+set -u
+
+tmpdir=$AUTOPKGTEST_TMP/bottleneck
+
+mkdir -p $tmpdir
+cp -R $PWD/bottleneck/tests/* $tmpdir
+
+cd $tmpdir
+ln -s /usr/include/catch2 catch
+
+set -x
+g++ -O2 -I/usr/include/hera/bottleneck -o test tests_main.cpp test_hera_bottleneck.cpp
+./test
+cd data
+../test
+
diff --git a/debian/tests/upstream-wasserstein.sh b/debian/tests/upstream-wasserstein.sh
new file mode 100755
index 0000000..070e5c6
--- /dev/null
+++ b/debian/tests/upstream-wasserstein.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+set -u
+
+tmpdir=$AUTOPKGTEST_TMP/wasserstein
+
+mkdir -p $tmpdir
+cp -R $PWD/wasserstein/tests/* $tmpdir
+
+cd $tmpdir
+ln -s /usr/include/catch2 catch
+
+set -x
+g++ -O2 -I/usr/include/hera/wasserstein -o test tests_main.cpp test_hera_wasserstein.cpp test_hera_wasserstein_pure_geom.cpp
+cd data
+../test